import { IComponentOptions, IController } from 'angular';
import './numberList.component.less';
export interface INumberListConstraints {
    min: number;
    max: number;
}
export declare class NumberListController implements IController {
    model: number[] | string;
    constraints: INumberListConstraints;
    label: string;
    backingModel: number[];
    parameterized: boolean;
    onChange: (model: number[] | string) => void;
    synchronize(): void;
    addNumber(): void;
    remove(index: number): void;
    toggleParameterization(enable: boolean): void;
    $onInit(): void;
}
export declare const numberListWrapperComponent: IComponentOptions;
export declare const NUMBER_LIST_COMPONENT = "spinnaker.core.forms.numberList";
